<?php
/*
Plugin Name: Blog Introduction
Plugin URI: http://jussi.ruokomaki.fi/tech/wp-blog-introduction/
Description: Displays heading and contents of page with permalink 'blog-introduction' on the home page right before the posts. Hide the 'blog-introduction' page by making it private.
Author: Jussi Ruokom&auml;ki
Version: 1.1
Author URI: http://jussi.ruokomaki.fi/
*/

$blog_intro_printed = false;
$page_permalink     = 'blog-introduction';

function print_intro() { if (is_home()) {
  global $blog_intro_printed; if (!$blog_intro_printed) {
    $page = get_page_by_path($page_permalink);
?>

<div id="blog_introduction">
  <div id="blog_introduction_heading">
    <h2><?= $page->post_title ?></h2>
  </div>
  <div id="blog_introduction_content">
<?= $page->post_content ?>
  </div>
</div>

<?php
  $blog_intro_printed = true;
} } }

add_action('loop_start', 'print_intro');

